JSAN.errorLevel = 'die';
JSAN.addRepository('./lib', '../lib').use('Test.More');

plan({ tests: 13 });

JSAN.use( 'DOM.Element' );

var elem = document.createElement( "SPAN" );
is( elem.style.display, "", "Element has correct default style" );

DOM.Element.hide( elem );
is( elem.style.display, "none", "Element has correct style after hide()" );

DOM.Element.show( elem );
is( elem.style.display, "", "Element has correct style after show()" );

DOM.Element.toggle( elem );
is( elem.style.display, "none", "Element has correct style after toggle() 1x" );

DOM.Element.toggle( elem );
is( elem.style.display, "", "Element has correct style after toggle() 2x" );

var elem2 = document.createElement( "DIV" );

DOM.Element.hide( elem, elem2 );
is( elem.style.display, "none", "hide() handles two elements (1st)" );
is( elem2.style.display, "none", "hide() handles two elements (2nd)" );

DOM.Element.show( elem, elem2 );
is( elem.style.display, "", "show() handles two elements (1st)" );
is( elem2.style.display, "", "show() handles two elements (2nd)" );

DOM.Element.toggle( elem, elem2 );
is( elem.style.display, "none", "toggle() handles two elements (1st)" );
is( elem2.style.display, "none", "toggle() handles two elements (2nd)" );

var text = document.createTextNode( "Blah" );
is( text.style, undefined, "A text node does not have a style section" );

try {
    DOM.Element.show( text );
    DOM.Element.hide( text );
    DOM.Element.toggle( text );
    ok( 1, "show/hide/toggle don't crash on a text node" );
} catch (e) {
    ok( 0, "Uh-oh ... show/hide/toggle DO crash on a text node" );
}
